import { promises as fs } from 'fs'
import path from 'path'

const getDataPath = (filename) => {
  const cwd = process.cwd()
  if (cwd.endsWith('.output')) {
    return path.join(cwd, '../server/data', filename)
  }
  return path.join(cwd, 'server/data', filename)
}

export default defineEventHandler(async (event) => {
  try {
    const configFile = getDataPath('config.json')
    const data = await fs.readFile(configFile, 'utf-8')
    const config = JSON.parse(data)

    return config
  } catch (error) {
    console.error('Fehler beim Laden der Config:', error)
    throw createError({
      statusCode: 500,
      message: 'Fehler beim Laden der Konfiguration.'
    })
  }
})

